This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 443195 - Review Request: pAgenda -A cross platform calendar and scheduler
Review Request: pAgenda -A cross platform calendar and scheduler
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 03:14 EDT by Nigel Jones
Modified: 2008-05-13 11:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 11:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
see the right side of the image (72.41 KB, image/jpeg)
2008-04-19 06:21 EDT, manuel wolfshant
no flags Details

  None (edit)
Description Nigel Jones 2008-04-19 03:14:19 EDT
Spec URL: http://dev.nigelj.com/SRPMS/pAgenda.spec
SRPM URL: http://dev.nigelj.com/SRPMS/pAgenda-3.2-1.fc8.src.rpm
Description: 
A cross platform calendar and scheduler with the ability to use sqlite
databases to manage multiple portable schedules.
Also includes appointment and contact management abilities.

rpmlint only gives pAgenda.noarch: W: incoherent-version-in-changelog 2.3-1 3.2-1.fc8 which I'm told is okay.

Any comments/nitpicks much appreciated (I'm returning after about 6-8 months of not maintaining anything so I'm a little rusty)
Comment 1 Mamoru TASAKA 2008-04-19 03:25:55 EDT
(In reply to comment #0)
> rpmlint only gives pAgenda.noarch: W: incoherent-version-in-changelog 2.3-1
3.2-1.fc8 which I'm told is okay.

2.3 is quite different from 3.2  :) 
Comment 2 Nigel Jones 2008-04-19 03:48:32 EDT
(In reply to comment #1)
> (In reply to comment #0)
> > rpmlint only gives pAgenda.noarch: W: incoherent-version-in-changelog 2.3-1
> 3.2-1.fc8 which I'm told is okay.
> 
> 2.3 is quite different from 3.2  :) 

Oh doh! Thanks a lot, I've corrected it in my local version I don't see the point of uploading a -2 or 
anything for this, but it'll appear when imported or with other corrections.

Thanks
Comment 3 manuel wolfshant 2008-04-19 06:04:52 EDT
You should stick with either $RPM_BUILD_ROOT or %{buildroot} but using both in
the same spec is against the packaging policy.

There are also two small errors in the desktop file
- the Icon tag should either use the full path to the icon or the icon name
without extension (wiki:Packaging/Guidelines#desktop)
- according to the build log desktop-file-install complains because "key
"Categories" is a list and does not have a semicolon as trailing character"

The major problem is that you miss python as BR, which leads to
[wolfy@wolfy tmp]$ rpm -qlp  /home/wolfy/pAgenda-3.2-1.fc9.noarch.rpm
  /images.py
  /usr/bin/pagenda
which in turn gives
[wolfy@wolfy tmp]$ pagenda
The file "images.py" was not found, it is needed to run pAgenda

And I think there is also something else missing because once I start the
application (after rebuilding with python added as BR), on the right side I get
a page with raw HTML, which is quite different to what
http://www.pcbypaul.com/software/screens/pagenda_screen1.png looks like in the
same conditions
Comment 4 Nigel Jones 2008-04-19 06:18:10 EDT
(In reply to comment #3)
> You should stick with either $RPM_BUILD_ROOT or %{buildroot} but using both in
> the same spec is against the packaging policy.
> 
> There are also two small errors in the desktop file
> - the Icon tag should either use the full path to the icon or the icon name
> without extension (wiki:Packaging/Guidelines#desktop)
> - according to the build log desktop-file-install complains because "key
> "Categories" is a list and does not have a semicolon as trailing character"
Both will be fixed in next upload
> 
> The major problem is that you miss python as BR, which leads to
> [wolfy@wolfy tmp]$ rpm -qlp  /home/wolfy/pAgenda-3.2-1.fc9.noarch.rpm
>   /images.py
>   /usr/bin/pagenda
> which in turn gives
> [wolfy@wolfy tmp]$ pagenda
> The file "images.py" was not found, it is needed to run pAgenda
> 
> And I think there is also something else missing because once I start the
> application (after rebuilding with python added as BR), on the right side I get
> a page with raw HTML, which is quite different to what
> http://www.pcbypaul.com/software/screens/pagenda_screen1.png looks like in the
> same conditions
For these two I don't have mock at the moment (silly errors which I'm trying to fix), but okay, I can 
understand the first one, the second one I can't....

Can you please try:
$ python
>>> import wx.html as html

Thanks
Comment 5 manuel wolfshant 2008-04-19 06:21:31 EDT
Created attachment 302991 [details]
see the right side of the image
Comment 6 manuel wolfshant 2008-04-19 06:25:56 EDT
My pyhon-fu is close to nil, so please give me more details on how / when do
that import and I'll gladly do that. If it matters, the command is successful
(when run from command line) but I have no idea how to chain to /usr/bin/pagenda
Comment 7 manuel wolfshant 2008-04-19 08:25:30 EDT
For the record: the program works OK in rawhide.
Comment 8 Nigel Jones 2008-04-19 08:28:37 EDT
(In reply to comment #1)
> (In reply to comment #0)
> > rpmlint only gives pAgenda.noarch: W: incoherent-version-in-changelog 2.3-1
> 3.2-1.fc8 which I'm told is okay.
> 
> 2.3 is quite different from 3.2  :) 
Fixed in this upload!
(In reply to comment #4)
> Both will be fixed in next upload
Done
> For these two I don't have mock at the moment (silly errors which I'm trying to fix), but okay, I can 
> understand the first one, the second one I can't....
Per discussion on IRC, fixed BR, will not build for F7 unless I find the issues before it is obsoleted

Spec URL: http://dev.nigelj.com/SRPMS/pAgenda.spec
SRPM URL: http://dev.nigelj.com/SRPMS/pAgenda-3.2-2.fc8.src.rpm
Comment 9 manuel wolfshant 2008-04-19 08:55:10 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 07919d350874142e1ba8eda28e1a027ae3674d6e
pAgenda_src-3.2.tar.bz2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:devel/x86_64; package is noarch so it should work on any arch
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Issues ===
1. Does not display properly in F7, but this is not a blocker


================
*** APPROVED ***
================
Comment 10 Nigel Jones 2008-04-19 09:03:36 EDT
Thank you!

New Package CVS Request
=======================
Package Name:  pAgenda
Short Description: A cross platform calendar and scheduler
Owners: nigelj
Branches: F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 11 Nigel Jones 2008-04-20 22:04:14 EDT
As branching is in progress....

New Package CVS Request
=======================
Package Name:  pAgenda
Short Description: A cross platform calendar and scheduler
Owners: nigelj
Branches: F-8 F-9 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-04-22 13:34:03 EDT
cvs done.
Comment 13 Fedora Update System 2008-04-25 06:46:00 EDT
pAgenda-3.2-2.fc8 has been submitted as an update for Fedora 8
Comment 14 Fedora Update System 2008-04-29 17:01:11 EDT
pAgenda-3.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pAgenda'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3416
Comment 15 Fedora Update System 2008-05-02 22:45:51 EDT
pAgenda-3.2-2.fc9 has been submitted as an update for Fedora 9
Comment 16 Fedora Update System 2008-05-10 09:55:25 EDT
pAgenda-3.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2008-05-13 11:28:04 EDT
pAgenda-3.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.